; Copyright (c) 1993, 1994 Richard Kelsey and Jonathan Rees.  See file COPYING.



; System entry and exit

; Entry point from OS executive.  Procedures returned by USUAL-RESUMER
; are suitable for use as the second argument to WRITE-IMAGE.

(define (usual-resumer entry-point)
  (lambda (resume-arg in out error)
    (initialize-dynamic-state!)
    (initialize-i/o in out error
      (lambda ()
	(initialize-exceptions!
	 (lambda ()
	   (initialize-interrupts!
	    (lambda ()
	      (entry-point (vector->list resume-arg))))))))))
